from django.conf.urls import url

from.views import FroyoView, IngredientsHomeView, OrdersHomeView, RecipesHomeView 

from.views import IngredientsListView, IngredientsDetailView, IngredientsUpdateView, IngredientsCreateView

from.views import OrdersListView, OrdersDetailView, OrdersUpdateView, OrdersCreateView

from.views import RecipesListView, RecipesDetailView, RecipesUpdateView, RecipesCreateView


urlpatterns = [
	url(r'^$',FroyoView.as_view(),name='froyo_home'),
	url(r'^ingredients$',IngredientsHomeView.as_view(),name='ingredients_home'),
	url(r'^orders$',OrdersHomeView.as_view(),name='orders_home'),
	url(r'^recipes$',RecipesHomeView.as_view(),name='recipies_home'),

	url(r'^ingredients/list$',IngredientsListView.as_view(),name='ingredients_list'),
	url(r'^ingredients/detail$',IngredientsDetailView.as_view(),name='ingredients_detail'),
	url(r'^ingredients/update$',IngredientsUpdateView.as_view(),name='ingredients_update_form'),
	url(r'^ingredients/create$',IngredientsCreateView.as_view(),name='ingredients_create_form'),

	url(r'^orders/list$',OrdersListView.as_view(),name='orders_list'),
	url(r'^orders/detail$',OrdersDetailView.as_view(),name='orders_detail'),
	url(r'^orders/update$',OrdersUpdateView.as_view(),name='orders_update_form'),
	url(r'^orders/create$',OrdersCreateView.as_view(),name='orders_create_form'),

	url(r'^recipes/list$',RecipesListView.as_view(),name='recipes_list'),
	url(r'^recipes/detail$',RecipesDetailView.as_view(),name='recipes_detail'),
	url(r'^recipes/update$',RecipesUpdateView.as_view(),name='recipes_update_form'),
	url(r'^recipes/create$',RecipesCreateView.as_view(),name='recipes_create_form'),
]